/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_create_scenario_environments.sas
 *
 * PURPOSE: Create smaller risk environments for scenario generator
 *
 *   USAGE: 
 *
 *   NOTES: Created for V4.2 01/17/06
 *          
 *          
 *
 *****************************************************************************/

*Processbody;

%rrminit;

%autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);



proc risk noseqcheck ;
    
environment new   = RD_TEMP.SCENARIO_IR ;

environment save;
   
run;

proc risk noseqcheck ;
    
environment open   = RD_TEMP.SCENARIO_IR ;
readvars data = RD_TEMP.var_rf_ir ;

readarrays data=RD_TEMP.array_rf_ir;
  marketdata Current_Full       file  = RD_MKT.mkt_current
                                type  = current
                                label = "Current Market Data";

environment save;
   
run;



proc risk noseqcheck ;
    
environment new   = RD_TEMP.SCENARIO_FX ;

environment save;
   
run;

proc risk noseqcheck ;
    
environment open   = RD_TEMP.SCENARIO_FX ;
readvars data = RD_TEMP.var_rf_fx ;

readarrays data=RD_TEMP.array_rf_fx;
  marketdata Current_Full       file  = RD_MKT.mkt_current
                                type  = current
                                label = "Current Market Data";

environment save;
   
run;

/*- Set an arbitrary maturity so the curve tool will create a scenario -*/


proc sort data=rd_temp.var_rf_pd_lgd;
 by curve name;
run;

data rd_temp.var_rf_pd_lgd;
 
 set rd_temp.var_rf_pd_lgd ;
 by curve;
  MUNIT="1";
  retain m name;
if _n_=1 then m=1;
if FIRST.curve EQ 1 then m=0;
    m=m+1;
  maturity=m;

run;


proc sort data=rd_temp.var_rf_pd_lgd;
 by group curve;
run;


data RD_TEMP.array_rf_pd_lgd (keep = ARRAYNAM TYPE CONTENT);

length  ARRAYNAM   $32. ;
length  TYPE       $16. ;
length  CONTENT    $32. ;

set  RD_TEMP.var_rf_pd_lgd;

by group curve;

ARRAYNAM = compress(CURVE);
if first.CURVE then do;
    TYPE    = "ROLE";
    CONTENT = "VAR" ;
    output;
    TYPE    = "LABEL";
    CONTENT = ARRAYNAM ;
    output;
  /*
    TYPE    = "NUM" ;
    CONTENT = CURRENCY ;
    output;*/
end;

TYPE    = "ELEMENT";
CONTENT = NAME;
output;

run;



proc risk noseqcheck ;
    
environment new   = RD_TEMP.SCENARIO_PD ;

environment save;
   
run;

proc risk noseqcheck ;
    
environment open   = RD_TEMP.SCENARIO_PD ;
readvars data = RD_TEMP.var_rf_pd_lgd ;

readarrays data=RD_TEMP.array_rf_pd_lgd;
  marketdata Current_Full       file  = RD_MKT.mkt_current
                                type  = current
                                label = "Current Market Data";

environment save;
   
run;
