



/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_capital.sas
 *
 *
 * PURPOSE: This program is a stored procedure running the capital project.
 *
 *   USAGE: 
 *
 *   NOTES: 1. Modified for V4.2
 *          2. 
 *          3. 
 *
 *         
 *         
 *****************************************************************************/


*Processbody;
%rrminit;

%macro run_entire_usfinal;

/*---------------------------------------------------------------------------
 * Step 1.
 *
 * Call autoexec for basic setup
 * -------------------------------------------------------------------------*/

%getdelimiter;

%autoexec_criskm (sysid=&SYSTEM_ID, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=USFINAL);


/*---------------------------------------------------------------------------
 * Step 2.
 *
 * Check for existence of data files for user - continue if found
 * -------------------------------------------------------------------------*/
    /*- Check for a copy of the user directories -*/ 
    /*- define macros from a data set -*/
      %recreate_macros;

    /*- need to remember user-specified options -*/
    

        
        /*- only run necessary files -*/
  
      
			%batch_criskm_00_initialize;
			%batch_criskm_10_define_functions;
			%batch_criskm_20_process_data;
			%batch_criskm_30_crt_tmpl_usfinal;
			%batch_criskm_35_run_tb_project;
			%batch_criskm_40_mtm_prj_usfinal;
			%batch_criskm_50_reg_prj_usfinal;
			
			%batch_criskm_60_cap_prj_usfinal;
        
       
        options noovp noquotelenmax nocardimage;

%mend run_entire_usfinal;

%run_entire_usfinal;
