/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_regrpt_rpt_run.sas
 *
 * PURPOSE: Runs regulatory reports
 * 
 *                        
 *
 *   NOTES: 
 *   Created: 10/06/05        
 *
 *****************************************************************************/
%rrminit;
%macro report_crd4;
%local STP_NAME;
%let STP_NAME=Regulatory reports;
 

								  /* Start criskm server */
%autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=crd4);
%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );

%if &SYSTEM_FATAL_ERROR EQ N %then %do;

%criskm_update_stp_status(STP_NAME=&STP_NAME,
										  STP_STATUS=Progress,STATUS_PCT=50% );   
										  
/* Run Regulatory Report */
%regulatory_report();

%criskm_update_stp_status(STP_NAME=&STP_NAME,
										  STP_STATUS=Complete,STATUS_PCT=100% ); 
%end;
%else
    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
	%error_occured:
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
										  STP_STATUS=Failed,STATUS_PCT=0% );
    %end;

%mend report_crd4;
%report_crd4;
