/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_update_dashboard.sas
 *
 * PURPOSE: Updates dashboard graphics
 * 
 *                        
 *
 *   NOTES: 
 *   Created: 01/24/06 - Verion V4.2        
 *   UPDATES:
 *          
 *
 *****************************************************************************/

*ProcessBody;
%rrminit;
%getdelimiter;

%macro dashboard;

%local STP_NAME;
%let STP_NAME=Update dashboard;

%autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);
%u00_recreate_macro_definitions ; 

        %criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );

/*%let usertype=MASTER;*/

%criskm_stp_securitycheck;

%if &SYSTEM_FATAL_ERROR EQ N %then %do;    


/*- Create the data for updating charts - based on user selection -*/

%if &PANEL_UPDATE=YES %then %g04_create_graphics_panels;

        %criskm_update_stp_status(STP_NAME=&STP_NAME,
					  STP_STATUS=Progress,STATUS_PCT=20% );     

%g25_create_graph_data;

        %criskm_update_stp_status(STP_NAME=&STP_NAME,
					  STP_STATUS=Progress,STATUS_PCT=60% );     

%g30_update_dashboard;
			 %criskm_update_stp_status(STP_NAME=&STP_NAME,
												  STP_STATUS=Complete,STATUS_PCT=100%,UPDATE_DTTM_FLG=Y  );
           
%end; 

%else
    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
    							  STP_STATUS=Failed,STATUS_PCT=0%, UPDATE_DTTM_FLG=Y );
    %end;         										  

%mend dashboard;

%dashboard;
