/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_update_parameters
 *
 * PURPOSE: Updates parameters in stored procedures
 *
 *   USAGE: 
 *
 *   NOTES: Created for V4.2 01/17/06
 *          
 * UPDATES:
 * 1) 29th Jan 2009- runsasfile removed. line 41 modified.
 *
 *****************************************************************************/
  

*Processbody;
%rrminit;

%global rundate rundatetime PATHSEP ;
%getdelimiter;

%autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);


%macro update_parameters;


%if &SYSTEM_FATAL_ERROR EQ Y %then %do;
  %print_msg (ERROR,1,5);
  %return;
%end;

FILENAME CHECKSTP ("!CMHOME&pathsep.sascode&pathsep.programs&pathsep.update_stp_parameters_%lowcase(&STP_TO_UPDATE).sas" );

%if %sysfunc(fexist(CHECKSTP)) EQ 0 %then %do;
  %print_msg (ERROR,3,99);
  %return;
%end;

    %lowcase(%update_stp_parameters_&STP_TO_UPDATE);

%mend update_parameters;

%update_parameters;
