


/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_update_entity_datamart.sas
 *
 *
 * PURPOSE: This program is a stored procedure for credit risk - updates data for entity data mart.
 *
 *   USAGE: 
 *
 *   NOTES: 1. This assumes the directory structure exists.
 *          2. This assumes the main datamart is populated.
 *          3. Assumes OMR Settings are set for given host.
 * 
 *
 *         
 *****************************************************************************/

 
*Processbody; 
%rrminit;

/* %let log_file_name_prefix = rptmart; */

%getdelimiter;

%macro updaterpt;

%local STP_NAME;
%let STP_NAME=Update risk repository;

%autoexec_criskm (sysid=&SYSTEM_ID, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);

%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=25%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );
								  
%if  %symglobl(RUNNING_FROM_CREDIT_RISK_STUDIO) EQ 0 %then %do;
     %print_msg (ERROR,1,3);
     %let SYSTEM_FATAL_ERROR=Y;
     %goto error_occured;
%end;

%if &SYSTEM_FATAL_ERROR EQ N %then %do;

	%u00_update_user_reportmart ;
	
	%criskm_update_stp_status(STP_NAME=&STP_NAME,
							  STP_STATUS=Complete,STATUS_PCT=100%,UPDATE_DTTM_FLG=Y  );
							 
%end;
%else %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
		%error_occured:
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
										  STP_STATUS=Failed,STATUS_PCT=0%, UPDATE_DTTM_FLG=Y );
    %end;
							 
%mend updaterpt;

%updaterpt;
