/* $Id: batch_criskm_30_crt_tmpl_usfinal.sas,v 1.1.2.5.4.4.4.1 2015/06/02 11:18:56 sinsik Exp $ */
/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: batch_criskm_30_crt_tmpl_usfinal.sas
 *
 * PURPOSE: CRiskM batch run: create a template RiskDimensions environment.
 *
 *   USAGE: 
 *
 *   NOTES: The numbers in filenames indicates run sequence groups.  In general, 
 *          programs within the same group can run in any order. 
 *          
 *
 *****************************************************************************/
%macro batch_criskm_30_crt_tmpl_usfinal;

/****************************************************************************
 *        Redefine calculation, output and crm allocation options
 ****************************************************************************/

/*Define frm_a00_init global macro variable to identify the call of a00_init_options macro from a00_init macro*/
%global frm_a00_init;
%let frm_a00_init=0;
%a00_init_options ;


/****************************************************************************
 *           Create a Template RiskDimensions Environment
 *                             with
 *                      Variable Definitions
 *                       Object Definitions
 *                        Pricing Methods
 *                         MtM Portfolio
 ****************************************************************************/
%c00_create_template_environment ;

%c05_create_inst_var_usfinal ;

%c05_create_inst_var_post ;

%c05_create_output_var_usfinal ;

%c05_create_output_var_post ;

%c05_create_cpty_var ;

%c05_create_rf_var_usfinal ;

%c05_create_rf_var_post ;

%c05_create_mitigant_var ;

%c05_register_parm_matrices ;


%c10_create_crossclass ;

%c10_create_portfolio_filter;

%c10_create_rf_category ;

%c10_create_rf_category_post ;

%c10_create_rf_array ;

%c10_create_rf_array_post ;


%c15_register_market_data ;

%c15_register_position_data ;

%c15_reg_post_processing_progs ;


%c20_create_ref_var_usfinal ;

%c20_create_ref_var_post ;


%d00_pm_mtm_usfinal ;

%d00_pm_counterparty_usfinal ;

%d00_pm_exposure_usfinal ;

%d00_pm_ccr_positions;

%d00_pm_crm ;

%d00_pm_mitigation_usfinal ;

%d00_pm_rollup_usfinal ;



%d05_create_cpty_types ;

%d05_create_inst_types_usfinal ;

%d05_create_inst_types_tb ;

%d05_create_inst_types_post ;

%d05_crt_inst_types_mit_usfinal ;

%d10_create_mtm_analysis ;

%d10_create_mtm_portfolio ;

%d10_create_tb_portfolio ;


/*- subsequent batch runs need to know which previous batches have been run -*/
%global RUN_STAGE;
%let RUN_STAGE = 30;

/*****************************************************************************
 *  Save Macro Definitions so this step doesnot have to be run multiple times.
 *****************************************************************************/

%u00_save_macro_definitions;
%mend batch_criskm_30_crt_tmpl_usfinal;
