/*****************************************************************************
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_capital_le1.sas
*
* PURPOSE: Creates report for the Large Exposures report
*
*
*   USAGE: 
*
*   NOTES: Created for v4.8
*   Macro Options:
*****************************************************************************/
 
%macro regrpt_capital_le1_crd4;

/*%regrpt_d0_capital_le1_crd4;*/
 
/* Creates basic  template report */
%macro report_page (dsn);

%let style_type=%str(style=Data[Tagattr='format:#,##0' ]);  

proc report data=&dsn nowd missing LS=160 PS=50 /*SPLIT="*"*/ contents=""
style(column)={ /*bordercolor=#FAF8ED*/ cellspacing=0}
style(header)={background=#CED3D6 cellheight=0  cellspacing=0 fontweight=bold};


column  
 ("&LE1_cpty_id_rpt_label"           /*B1 Start*/
         COUNTERPARTY_ID         /* COL 010  */
         LEGAL_NM       /* COL 020  */
         RGLTRY_LEGAL_ENTITY_ID             /* COL 030  */
            COUNTRY_OF_RESIDENCE_CD        /* COL 040 */
         ECONOMIC_SECTOR_CD     /* COL 050*/
         ECONOMIC_STD_INDUSTRL_CLASS_CD            /* COL 060  */
         FINANCIAL_ENTITY_TYPE_CD    /* COL 070  */ /*New in LE1 SEP templates*/
  )                                        /*B1 Close*/
 ;


define       COUNTERPARTY_ID        /display      " "              "&LE1_010_rpt_label";
define       LEGAL_NM           /display     " "              "&LE1_020_rpt_label";
define       RGLTRY_LEGAL_ENTITY_ID        /display     " "              "&LE1_030_rpt_label";
define       COUNTRY_OF_RESIDENCE_CD        /display      " "              "&LE1_040_rpt_label";
define       ECONOMIC_SECTOR_CD        /display    format=$MAP_CPTY_SECTOR_LE_DESC.  " "              "&LE1_050_rpt_label";
define       ECONOMIC_STD_INDUSTRL_CLASS_CD         /display      " "              "&LE1_060_rpt_label";
define       FINANCIAL_ENTITY_TYPE_CD         /display      " "              "&LE1_070_rpt_label";

     
    compute COUNTERPARTY_ID;
       count+1;
       if mod(count,2) then do;
         call define(_row_,"Style", "Style=[background=#ffffff]");
       end;
    endcomp;

run;

 
 
%mend report_page;
 

 
%macro generate_report;

/*
%let RPTPATH = %sysget(CRISKMRES)&pathsep.&project_set;
libname _intds "&RPTPATH" ;
*/

%if NOT %sysfunc(exist(RD_RPT.COUNTERPARTY_DIM)) or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
%print_msg(warning,3,10);
%print_msg(warning,3,15);
%regulatory_reportnopage();

%goto FINAL;
%end;
 
/*Change to &pages */
/*If data is not available for the report page then do no run report content */
%if NOT %sysfunc(exist(RD_RPT.COUNTERPARTY_DIM)) %then %do;
%print_msg(warning,3,19);
%print_msg(note,3,20);
%regulatory_reportnopage();
%goto NOPAGE;
%end;

 
/* Displays the titles for the cross-classification variables */


%if &report_type=XLS %then %do;

   ods tagsets.ExcelXP_Mod 
       options(
      sheet_name="&rpt_cd."
      sheet_interval='none' autofit_height="yes");
      %_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
       options(
      autofit_height="NO"); 
%end;

%report_page (RD_RPT.COUNTERPARTY_DIM);
 
/* subroutine for no data available for report page */
%NOPAGE:
 

 
%FINAL:
footnote ;
 
%mend generate_report; /* end reportbody macro */
 
%generate_report;
 

 
%mend regrpt_capital_le1_crd4;
