/*****************************************************************************
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_capital_le3_crd4.sas
*
* PURPOSE: Creates report for the Large Exposures report
*
*
*   USAGE: 
*
*   NOTES: Created for v4.8
*   Macro Options:
*****************************************************************************/
 
%macro regrpt_capital_le3_crd4;

%regrpt_d0_capital_le3_crd4; 
 
/* Creates basic  template report */
%macro report_page (dsn);
 %let style_type=%str(style=Data[Tagattr='format:#,##0' ]);  

proc report data=&dsn nowd missing LS=160 PS=50 /*SPLIT="*"*/ contents=""
style(column)={ /*bordercolor=#FAF8ED*/ cellspacing=0}
style(header)={background=#CED3D6 cellheight=0  cellspacing=0 fontweight=bold VERTICALALIGN=Middle};


column  
 ("&LE_cpty_id_rpt_label "           /*B1 Start*/
 
          RPT_CPTY_CD   /* COL 010  */
         RPT_CPTY_GRP_CD   /* COL 020  */

         UNDERLYING_FLG /* COL 030  */
         CONNECTION_TYPE_CD /* COL 040  */
  )                                        /*B1 Close*/
 ("&LE_orig_exp"                     /*B3 Start*/
         OUTV_TOT_ORIG_EXP_AMT    /* COL 050  */
         OUTV_TOT_ORIG_EXP_DEFLT_AMT   /* COL 060  */
      ("&LE_dir_exp"                /*B3.1 Start*/
         OUTV_DIR_EXP_DEBT_AMT    /* COL 070  */
         OUTV_DIR_EXP_EQUITY_AMT    /* COL 080  */
         OUTV_DIR_EXP_DERIVATIVE_AMT    /* COL 090  */
         ("&LE_on_bsi"      /*B3.1.1 Start*/
            OUTV_DIR_EXP_OBSI_LOAN_AMT    /* COL 100  */
            OUTV_DIR_EXP_OBSI_GUAR_AMT    /* COL 110  */
            OUTV_DIR_EXP_OBSI_OTH_AMT    /* COL 120  */
         )                               /*B3.1.1 Close*/
      )                                   /*B3.1 Close*/
      ("&LE_indir_exp"               /*B3.2 Start*/
         OUTV_INDIR_EXP_DEBT_AMT    /* COL 130  */
         OUTV_INDIR_EXP_EQUITY_AMT    /* COL 140  */
         OUTV_INDIR_EXP_DERIVATIVE_AMT    /* COL 150  */
         ("&LE_off_bsi"       /*B3.2.1 Start*/
            OUTV_INDIR_EXP_OBSI_LOAN_AMT    /* COL 160  */
            OUTV_INDIR_EXP_OBSI_GUAR_AMT    /* COL 170  */
            OUTV_INDIR_EXP_OBSI_OTH_AMT    /* COL 180  */
         )                                /*B3.2.1 Close*/
      )                                    /*B3.2.1 Close*/
      OUTV_UNDERLYING_EXP_EAD_AMT    /* COL 190  */
           
  )                                          /*B3 Start*/
      OUTV_VALUE_ADJ_AMT    /* COL 200  */
      OUTV_NOT_POPULATED  /* COL 210  */
 ("&LE_bfr_exmp_crm"           /*B4 Start*/
         OUTV_EXP_PRE_CRM_AMT   /* COL 220  */
         OUTV_EXP_PRE_CRM_TB_AMT   /* COL 230  */
         OUTV_EXP_PRE_CRM_PCT   /* COL 240  */
  )                                        /*B4 Close*/
 ("&LE_elig_crm"                   /*B5 Start*/
      ("&LE_eff_of_elig_crm" /*B5.1 Start*/
         OUTV_CRM_EXP_DEBT_AMT     /* COL 250  */
         OUTV_CRM_EXP_EQUITY_AMT      /* COL 260  */
         OUTV_CRM_EXP_DERIVATIVE_AMT    /* COL 270  */
         ("&LE_off_bsi_neg"       /*B5.1.2 Start*/
            OUTV_CRM_EXP_OBSI_LOAN_AMT    /* COL 280  */
            OUTV_CRM_EXP_OBSI_GUAR_AMT    /* COL 290  */
            OUTV_CRM_EXP_OBSI_OTHER_AMT    /* COL 300  */
         )                                /*B5.1.2 Close*/
      )                                    /*B5.1 Close*/
      OUTV_CR_PRTCTN_NOT_SUB_EFF_AMT     /* COL 310  */
      OUTV_ELIG_CRM_REAL_ESTATE_AMT     /* COL 320  */
  )
  OUTV_LE_EXEMPTED_AMT     /* COL 330  */
 ("&LE_exp_val_aft_crm"
   OUTV_EXP_POST_CRM_AMT       /* COL 340  */
   OUTV_EXP_POST_CRM_TB_AMT     /* COL 350  */
   OUTV_EXP_POST_CRM_PCT     /* COL 360  */
  )
;    
    
define        RPT_CPTY_CD        /display     " "              "&LE3_010_rpt_label";
define        RPT_CPTY_GRP_CD                /display     " "              "&LE3_020_rpt_label";

define       UNDERLYING_FLG        /display     " "              "&LE3_030_rpt_label";
define       CONNECTION_TYPE_CD        /display     " "              "&LE3_040_rpt_label";
define       OUTV_TOT_ORIG_EXP_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_050_rpt_label";
define       OUTV_TOT_ORIG_EXP_DEFLT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_060_rpt_label";
define       OUTV_DIR_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_070_rpt_label";
define       OUTV_DIR_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_080_rpt_label";
define       OUTV_DIR_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_090_rpt_label";
define       OUTV_DIR_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_100_rpt_label";
define       OUTV_DIR_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_110_rpt_label";
define       OUTV_DIR_EXP_OBSI_OTH_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_120_rpt_label";
define       OUTV_INDIR_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_130_rpt_label";
define       OUTV_INDIR_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_140_rpt_label";
define       OUTV_INDIR_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_150_rpt_label";
define       OUTV_INDIR_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_160_rpt_label";
define       OUTV_INDIR_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_170_rpt_label";
define       OUTV_INDIR_EXP_OBSI_OTH_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_180_rpt_label";
define       OUTV_UNDERLYING_EXP_EAD_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_190_rpt_label";
define       OUTV_VALUE_ADJ_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_200_rpt_label";
define       OUTV_NOT_POPULATED        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_210_rpt_label";
define       OUTV_EXP_PRE_CRM_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_220_rpt_label";
define       OUTV_EXP_PRE_CRM_TB_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_230_rpt_label";
define       OUTV_EXP_PRE_CRM_PCT        /display format=&FORMAT_PERCENT    " "              "&LE3_240_rpt_label";
define       OUTV_CRM_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_250_rpt_label";
define       OUTV_CRM_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_260_rpt_label";
define       OUTV_CRM_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_270_rpt_label";
define       OUTV_CRM_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_280_rpt_label";
define       OUTV_CRM_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_290_rpt_label";
define       OUTV_CRM_EXP_OBSI_OTHER_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_300_rpt_label";
define       OUTV_CR_PRTCTN_NOT_SUB_EFF_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_310_rpt_label";
define       OUTV_ELIG_CRM_REAL_ESTATE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_320_rpt_label";
define       OUTV_LE_EXEMPTED_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_330_rpt_label";
define       OUTV_EXP_POST_CRM_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_340_rpt_label ";
define       OUTV_EXP_POST_CRM_TB_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE3_350_rpt_label";
define       OUTV_EXP_POST_CRM_PCT        /display format=&FORMAT_PERCENT     " "              "&LE3_360_rpt_label";
     
    compute RPT_CPTY_GRP_CD;
       count+1;
       if mod(count,2) then do;
         call define(_row_,"Style", "Style=[background=#ffffff]");
       end;
    endcomp;

run;

 
 
%mend report_page;
 
 
%macro generate_report;
 
%if NOT %sysfunc(exist(work.current_regulatory)) or NOT %sysfunc(exist(work._LE_3_GRP_REPORT))
or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
   %print_msg(warning,3,10);
   %print_msg(warning,3,15);
   %regulatory_reportnopage();
   %return;
   %goto FINAL;
%end;
 
 
/*If data is not available for the report page then do no run report content */
%if NOT %sysfunc(exist(work._LE_3_GRP_REPORT)) %then %do;
   %print_msg(warning,3,19);
   %print_msg(note,3,20);
   %regulatory_reportnopage();
   %goto NOPAGE;
%end;

 
%if &report_type=XLS %then %do;

   ods tagsets.ExcelXP_Mod 
       options(
      sheet_name="&rpt_cd."
      sheet_interval='none' autofit_height="yes");
      %_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
       options(
      autofit_height="YES"); 
%end; 
%report_page (work._LE_3_GRP_REPORT);
 
/* subroutine for no data available for report page */
%NOPAGE:
 
 
%FINAL:
footnote ;
 
%mend generate_report; /* end reportbody macro */
 
%generate_report;
 

 
%mend regrpt_capital_le3_crd4;
