*********************************************************************************;
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. *;
* Name   : rrm_create_entity_batch.sas                                          *;
* Purpose: Create MAIN entity in Batch mode                                     *;
* Entity    :Main/Bu1/Bu2...                                                    *;
* mode      :Master/user                                                        *;
* username  :Master/user                                                        *;
*                                                                               *;
*********************************************************************************;
%macro rrm_create_entity_batch(entity=main,mode=master,configuration=,rrm_user=,Refresh_entity=Y,Refresh_rrr=Y);

%global system_id directory user config_set _METAUSER reg_ctxt username usertype;
	%let system_id=%lowcase(&entity);
	%let directory=%lowcase(&mode);
	%let usertype=%lowcase(&mode);
	%let user=%lowcase(%str(&rrm_user));
	%let config_set=%lowcase(&configuration);
	%let Refresh_entity=%lowcase(&Refresh_entity);
	%let Refresh_rrr=%lowcase(&Refresh_rrr);

	%LET _METAUSER=CRISKADM;
/*    %let reg_ctxt=crd4;*/
	*OPTIONS NOXWAIT NOXSYNC mprint mlogic;

/*    %rrm_check_user(user_nm=&rrm_user);*/
/*    %rrm_check_group(group_nm=CreditRiskAdmin_Bu2);*/

	**************************************;
    *Identify user mode and username     *;
	**************************************;
		%rrm_check_entity_mode;
		%if &Execute_in = unidentified %then %do;
			%goto EXIT;
		%end;

/*	%if &exit_user_mode = Y %then %do;*/
/*	%put */



	**************************************;
	* Create Entity Structure            *;
	**************************************;
	%rrm_create_entity_str(usr_mode=,usr_nm=%str(&rrm_user));

	%if &skip_entity_update=Y %then %DO;
		%put ERROR: System Fatal Error occured;
		%GOTO EXIT;
	%END;
	**************************************;
	* Update Entity Properties.          *;
	**************************************;


/*	%rrm_update_entity;*/
	%EXIT:
%mend rrm_create_entity_batch;
