/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_ffiec_rpt_usfinal.sas
 *
 * PURPOSE: GEnerates FFIEC schedules for USfinal 
 * 
 *                        
 *
 *
 *****************************************************************************/
%rrminit;
options notes source;


%macro rpt_usfinal(CATEGORY);


        %local STP_NAME;
        %let STP_NAME=Generate FFIEC schedules;

        /* Start criskm server */
        %autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=USFINAL);

        %criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );
                                  

%if &SYSTEM_FATAL_ERROR EQ N %then %do;        
        
        
        
        /* Run Regulatory Report */
        
        %if %upcase(&CATEGORY)=WHOLESALE %then 
        %regulatory_report_usfinal(CATEGORY=&category,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
        %else 
        %if %upcase(&CATEGORY)=SECURITIZATION %then 
        %regulatory_report_usfinal(CATEGORY=&category,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
        %else 
        %if %upcase(&CATEGORY)=RETAIL %then 
        %regulatory_report_usfinal(CATEGORY=&category,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
        %else 
        %if %upcase(&CATEGORY)=EQUITY %then 
        %regulatory_report_usfinal(CATEGORY=&category,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
		%else 
        %if %upcase(&CATEGORY)=HOLDING %then %do;
		%load_c_to_r_mdrm_usfinal(basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
        %regulatory_summ_report_usfinal(CATEGORY=HOLDING,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
		%end;
		%else 
        %if %upcase(&CATEGORY)=OPERATIONAL %then 
        %regulatory_summ_report_usfinal(CATEGORY=OPERATIONAL,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
        %else 
        %if %upcase(&CATEGORY)=ALL %then 
            %do;
			%regulatory_report_usfinal(CATEGORY=WHOLESALE,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
			%regulatory_report_usfinal(CATEGORY=SECURITIZATION,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
            %regulatory_report_usfinal(CATEGORY=RETAIL,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
            %regulatory_report_usfinal(CATEGORY=EQUITY,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
			%load_c_to_r_mdrm_usfinal(basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
			%regulatory_summ_report_usfinal(CATEGORY=HOLDING,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
			%regulatory_summ_report_usfinal(CATEGORY=OPERATIONAL,basedate=&basedt, valdate=&valuationdt. ,valtime=&valuationtime);
            %end;
            
    	 %criskm_update_stp_status(STP_NAME=&STP_NAME,
										  STP_STATUS=Complete,STATUS_PCT=100%,UPDATE_DTTM_FLG=Y  );
       
        options noovp noquotelenmax nocardimage;
            
            
%end; 

%else
    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
    							  STP_STATUS=Failed,STATUS_PCT=0%, UPDATE_DTTM_FLG=Y );
    %end;                                  
            
%mend rpt_usfinal;

%criskm_get_report_category;
%macro All_categories;
 %do cats=1 %to &no_of_category;
 data _null_;
  set _cat_lst_(firstobs=&cats obs=&cats);
   call symputx("CATEGORY",CATEGORY);
  run; 
%rpt_usfinal(&CATEGORY);
%end;
%mend All_categories;
%All_categories;
