/*****************************************************************************
 * Copyright (c) 2005 by SAS Institute Inc., Cary, NC, USA.
 *
 *    NAME: stored_process_run_rd_analysis
 *
 * PURPOSE: Run an analysis model in Risk Dimensions
 *
 *
 *   NOTES: Version 4.2 initial design - 02/02/06
 *
 *
 *****************************************************************************/

*Processbody;
%rrminit;

%getdelimiter;

%autoexec_criskm (sysid=&SYSTEM_ID, usrtype=&USERTYPE, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);

%macro runrd;
%local STP_NAME;
%let STP_NAME=Run ad hoc risk project;

%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );

%if &SYSTEM_FATAL_ERROR EQ Y %then %do;
	%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
										  STP_STATUS=Failed,STATUS_PCT=0%
										 );

  %print_msg (ERROR,1,5);
  %return;
%end;

%s05_run_rd_analysis_models;

				%criskm_update_stp_status(STP_NAME=&STP_NAME,
										  STP_STATUS=Complete,STATUS_PCT=100% 
										   );   


    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
			%error_occured:
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
										  STP_STATUS=Failed,STATUS_PCT=0%
										 );
    %end;
%mend runrd;

%runrd;
