/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_update_entity_datamart.sas
 *
 *
 * PURPOSE: This program is a stored procedure for credit risk - updates data for entity data mart.
 *
 *   USAGE: 
 *
 *   NOTES: 1. This assumes the directory structure exists.
 *          2. This assumes the main datamart is populated.
 *          3. Assumes OMR Settings are set for given host.
 * 
 *
 *         
 *****************************************************************************/

*Processbody; 
%rrminit;

%macro update_datamart;
	
%local STP_NAME;
%let STP_NAME=Update entity data mart;
	
%getdelimiter;

%autoexec_criskm (sysid=&SYSTEM_ID, usrtype=MASTER, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);

%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );
								  
%if &SYSTEM_FATAL_ERROR EQ N %then %do;

	%batch_criskm_updt_grp_datamart;
  %criskm_update_stp_status(STP_NAME=&STP_NAME,
										  STP_STATUS=Complete,STATUS_PCT=100%,UPDATE_DTTM_FLG=Y  );
%end;
%else
    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
		%error_occured:
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
										  STP_STATUS=Failed,STATUS_PCT=0% );
%end;	
	


%mend update_datamart;

%update_datamart;
