/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: stored_process_update_historical_reports.sas
 *
 *
 * PURPOSE: This program is a stored procedure for credit risk - updates the historical reports
 *
 *   USAGE: 
 *
 *   NOTES: 1. This assumes the directory structure exists.
 *          2. This assumes the main datamart is populated.
 *          3. Assumes OMR Settings are set for given host.
 * 
 *   UPDATES:
 *          
 *         
 *****************************************************************************/

*Processbody;  

%rrminit;


%getdelimiter;

%macro updaterpt;

%local STP_NAME;
%let STP_NAME=Update historical reports;

%autoexec_criskm (sysid=&system_id, usrtype=&usertype, usrname=&_SCANNED_USERNAME,reg_ctxt=&reg_ctxt);

        %criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  STP_STATUS=Progress,
 								  STATUS_PCT=5%         ,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
								  UPDATE_DTTM_FLG=Y     );

%criskm_stp_securitycheck;


%if &SYSTEM_FATAL_ERROR EQ N %then %do;    

			%a00_init_options;
			
						%criskm_update_stp_status(STP_NAME=&STP_NAME,
												  STP_STATUS=Progress,STATUS_PCT=20% );     
		%create_limit_dataset;  /* populate Analysis_vars_limit dataset */
						%criskm_update_stp_status(STP_NAME=&STP_NAME,
												  STP_STATUS=Progress,STATUS_PCT=50% );     
		
		%rv_main_masterrpts;
			 %criskm_update_stp_status(STP_NAME=&STP_NAME,
												  STP_STATUS=Complete,STATUS_PCT=100%,UPDATE_DTTM_FLG=Y  );
           
%end; 

%else
    %if &SYSTEM_FATAL_ERROR EQ Y %then %do;
		%print_msg (error,1,5);
		%criskm_update_stp_status(STP_NAME=&STP_NAME,
								  PORTFOLIO_FILTER_ID=&FILTER_ID,
								  LOG_FILE_NAME=%sysget(LOGFILE)   ,
    							  STP_STATUS=Failed,STATUS_PCT=0%, UPDATE_DTTM_FLG=Y );
    %end;         										  

%mend updaterpt;

%updaterpt;
