/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: a00_init.sas
 *
 * PURPOSE: Creates macro variables for global parameters such as
 *          reporting currency and rating agencies of choice.
 *
 *   USAGE: 
 *
 *   NOTES: Modified for stored procedures - V4.2
 *          
 *
 *****************************************************************************/

%macro a00_init;

/*Define frm_a00_init global macro variable to identify the call of a00_init_options macro from a00_init macro*/
%global frm_a00_init;
%let frm_a00_init=1;

%a00_init_options ;

/*- store commonly used values -*/
%global EXPN50 EXPN35 PROBIT999;                                                                 
%let EXPN50=%sysfunc(exp(-50)); 
%let EXPN35=%sysfunc(exp(-35));
%let PROBIT999=%sysfunc(probit(0.999));

/*- remove macro definition data set -*/
proc datasets library = RD_ROOT nolist nodetails;
delete gmacros;
quit;

%mend a00_init;
