/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: apply_data_filter.sas
 *
 * PURPOSE: Apply given filter to the data set
 *
 *
 *   USAGE: %apply_data_filter
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro apply_data_filter(INLIB=STAGING, DATA=, OUTLIB=RD_STAGE, FILTER=);
   /* when no need for filter -*/
   %if "&FILTER" EQ "" %then %do;
      data &OUTLIB..&DATA;
      set &INLIB..&DATA;
      run;
   %end;
   /* when filter is given */
   %else %do;
         proc sql;
               create table &OUTLIB..&DATA as
               select distinct a.* from &INLIB..&DATA as a &FILTER;
         quit;
   %end;
%mend;
