/* $Id: get_addon_crd4.sas,v 1.1.4.1 2015/04/30 20:59:50 sasdwu Exp $ */
/*****************************************************************************
 * Copyright (c) 2013 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: get_addon_crd4.sas
 *
 * PURPOSE: Store code for getting add-on in mtm methods.
 *
 *   USAGE: %get_addon_crd4;
 *
 *   NOTES: 
 *
 *   UPDATES:
 *      1) 12Aug2008 - : Added 1 to the difference between MATURITY & MAX_MAT_CUTOFF_IN_YR_ADDON_OE
 *
 *****************************************************************************/

%macro get_addon_crd4;

    length ADDON_NAME $32;

    if PE_APPROACH = '' or ADDON_TYPE = '' or ADDON_MAT_BAND  = '' then do;
        OUTV_ADD_ON = .;
    end;
    else if PE_APPROACH = 'CE' then do;
                                   
        call GET_ADDON_NAME("CE", ADDON_TYPE, ADDON_MAT_BAND, ADDON_NAME);  
        call PMXELEM(ADD_ON_CE, ADDON_NAME, "ADDON_VALUE", OUTV_ADD_ON);
        
        if PRINCIPAL_EXCHANGE_REMAINING_NO NE . then  
            OUTV_ADD_ON = OUTV_ADD_ON * PRINCIPAL_EXCHANGE_REMAINING_NO;
       
        if OFF_BALANCE_SHEET_TYPE = 'IR' and IR_ORG_RES_MATURITY > 1 then OUTV_ADD_ON = max(0.5, OUTV_ADD_ON);
    end;    

    else if PE_APPROACH = 'OE' then do;
        call GET_ADDON_NAME("OE", ADDON_TYPE, ADDON_MAT_BAND, ADDON_NAME);
        call PMXELEM(ADD_ON_OE, ADDON_NAME, ., ADDON_VALUES);
        OUTV_ADD_ON = ADDON_VALUES[1] + ADDON_VALUES[2] + 
                      ADDON_VALUES[3] * max(0, int(ORIGINAL_MATURITY - &MAX_MAT_CUTOFF_IN_YR_ADDON_OE)+1); 
        if "&MATURITY_SPEC_IR_ADDON_OE" = "RESIDUAL" and OFF_BALANCE_SHEET_TYPE = 'IR' then
            OUTV_ADD_ON = ADDON_VALUES[1] + ADDON_VALUES[2] +
                          ADDON_VALUES[3] * max(0, int(RESIDUAL_MATURITY - &MAX_MAT_CUTOFF_IN_YR_ADDON_OE)+1); 
    end;

%mend get_addon_crd4;
