/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: get_maturity.sas
 *
 * PURPOSE: Get original and residual maturity (in years).
 *
 *   USAGE: %get_maturity(BEGINDATE, ENDDATE);
 *          BEGINDATE : (POS) begining date        
 *          ENDDATE   : (POS) ending date
 *
 *   NOTES: 
 *
 *
 *****************************************************************************/
%macro get_maturity(BEGINDATE, ENDDATE);

    if &BEGINDATE = . or &ENDDATE = . then do;
        ORIGINAL_MATURITY = .;
        if &ENDDATE = . then do;
          if POSITION_CATEGORY = 'CRM' then RESIDUAL_MATURITY = &CRM_RESIDUAL_MATURITY;
          else RESIDUAL_MATURITY = &EXP_RESIDUAL_MATURITY;
        end;
        else do;
			RESIDUAL_MATURITY = max(0, round(YRDIF(&RUNDATE, &ENDDATE, "&DAY_BASIS"),&MATURITY_ROUNDOFF.));
		end;
    end;
    else do;
		ORIGINAL_MATURITY = max(0, round(YRDIF(&BEGINDATE, &ENDDATE, "&DAY_BASIS"),&MATURITY_ROUNDOFF.));
		RESIDUAL_MATURITY = max(0, round(YRDIF(&RUNDATE, &ENDDATE, "&DAY_BASIS"),&MATURITY_ROUNDOFF.));
    end;
%mend get_maturity; 
