/* $Id: get_std_rw_buckets.sas,v 1.1.2.4.10.1.2.1.2.2.4.2 2015/06/24 05:53:42 sinjav Exp $ */
/*****************************************************************************
 * Copyright (c) 2004 by SAS Institute Inc., Cary, NC, USA.
 *
 *    NAME: get_std_rw_buckets.sas
 *
 * PURPOSE: Get RW buckets under standardized approach.
 *
 *   USAGE: %get_std_rw_buckets;
 * 
 *
 *   NOTES: 
 *
 *
 *****************************************************************************/

%macro get_std_rw_buckets;

    /*- securitization exposures -*/
    if STD_PRODUCT_CLASS in ('SEC', 'SECURITIZATION') then do;

        if SHORT_TERM_ASSESS_FLG = 1 then
            STD_RW_BUCKET_SHORT = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SEC_SHORT.);
        else
            STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SEC.);

    end;

    /*- exposures secured by residential property/commercial real estate -*/
    else if STD_PRODUCT_CLASS = 'MORTGAGE' then do;

        if STD_PRODUCT_SUBCLASS = 'RESIDENTIAL' then
            STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_RME.);
        else if STD_PRODUCT_SUBCLASS = 'COMMERCIAL' then
            STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_CME.);

    end;
    else if STD_PRODUCT_CLASS = 'OTHER_ASSETS' then 
    
         STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_OTHERS.);           
       
    /*- regular exposures -*/
    else do;
    
        if SHORT_TERM_ASSESS_FLG = 1 then do;
            STD_RW_BUCKET_SHORT = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SHORT.);
        end;
        else do;
            select (COUNTERPARTY_CLASS);
                when ('SOVEREIGN')
                    STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SOVEREIGN.);
                when ('BANK')
                    STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_BANK.);                     
                when ('CORPORATE')
                    STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_CORPORATE.);                 
                when ('RETAIL')
                    STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_RETAIL.);
                otherwise
                    STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_OTHERS.);           
            end;
        end;

    end;
    
%mend get_std_rw_buckets;
