/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: get_std_rw_buckets_crm.sas
 *
 * PURPOSE: Get RW buckets for CRMs under standardized approach.
 *
 *   USAGE: %get_std_rw_buckets_crm;
 * 
 *
 *   NOTES: 
 *
 *
 *****************************************************************************/

%macro get_std_rw_buckets_crm;

   
    if SHORT_TERM_ASSESS_FLG = 1 then do;
        STD_RW_BUCKET_SHORT = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SHORT.);
    end;
    else do;
        select (COUNTERPARTY_CLASS);
            when ('SOVEREIGN')
                STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_SOVEREIGN.);
            when ('BANK')
                STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_BANK.);                     
            when ('CORPORATE')
                STD_RW_BUCKET = put(EXT_ISSUE_MAP_RATING, $MAP_STD_RW_BUCKET_CORPORATE.);                 
            when ('RETAIL')
                STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_RETAIL.);
            otherwise
                STD_RW_BUCKET = put(REGULATORY_PRODUCT_CD, $MAP_STD_RW_BUCKET_OTHERS.);           
        end;
    end;
    
%mend get_std_rw_buckets_crm;
