/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_corporate_std.sas
 *
 * PURPOSE: Method program code for corporate exposures under STD approach.
 *
 *   USAGE: %pm_exp_corporate_std;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_exp_corporate_std;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;

/*- by default, get the RW associated with the counterparty -*/
    OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
    
/*- if single risk weight for corporate exposure is allowed -*/
    if upcase("&STD_CORP_SINGLE_RW_TREATMENT") = "YES" then 
       OUTV_RW_ISSUE = &STD_CORP_SINGLE_RW;

/*- get RW based on issue rating -*/
    else if (STD_RW_BUCKET  NE '_#_' or STD_RW_BUCKET_SHORT NE '_#_' ) and EXT_ISSUE_MAP_RATING NE 'MISS' then do;
        if SHORT_TERM_ASSESS_FLG = 1 then
            OUTV_RW_ISSUE = STD_RW_SHORT_REF.STD_RW_BUCKET_SHORT;
        else 
            OUTV_RW_ISSUE = STD_RW_CORPORATE_REF.STD_RW_BUCKET;
    end;

    _VALUE_ = EXP_VALUE ;
    
%mend pm_exp_corporate_std;
