/*****************************************************************************
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_capital_le2_crd4.sas
*
* PURPOSE: Creates report for the Large Exposures report
*
*
*   USAGE: 
*
*   NOTES: Created for v4.8
*   Macro Options:
*****************************************************************************/
 
%macro regrpt_capital_le2_crd4;

%regrpt_d0_capital_le2_crd4;
 
/* Creates basic  template report */
%macro report_page (dsn);

%let style_type=%str(style=Data[Tagattr='format:#,##0' ]);  

proc report data=&dsn nowd missing LS=160 PS=50 /*SPLIT="*"*/ contents=""
style(column)={ /*bordercolor=#FAF8ED*/ cellspacing=0}
style(header)={background=#CED3D6 cellheight=0  cellspacing=0 fontweight=bold VERTICALALIGN=Middle};


column  
 ("&LE_cpty_id_rpt_label"           /*B1 Start*/
         CPTY_CD                               /* COL 010  */
         CPTY_TYPE_LE2                         /* COL 020  */
         UNDERLYING_FLG                        /* COL 030  */
  )                                        /*B1 Close*/
 ("&LE_orig_exp"                     /*B2 Start*/
         OUTV_TOT_ORIG_EXP_AMT                 /* COL 040  */
         OUTV_TOT_ORIG_EXP_DEFLT_AMT           /* COL 050  */
      ("&LE_dir_exp"                /*B2.1 Start*/
         OUTV_DIR_EXP_DEBT_AMT                 /* COL 060  */
         OUTV_DIR_EXP_EQUITY_AMT               /* COL 070  */
         OUTV_DIR_EXP_DERIVATIVE_AMT           /* COL 080  */
         ("&LE_on_bsi"      /*B2.1.1 Start*/
            OUTV_DIR_EXP_OBSI_LOAN_AMT        /* COL 090  */
            OUTV_DIR_EXP_OBSI_GUAR_AMT        /* COL 100  */
            OUTV_DIR_EXP_OBSI_OTH_AMT         /* COL 110  */
         )                               /*B2.1.1 Close*/
      )                                   /*B2.1 Close*/
      ("&LE_indir_exp"               /*B2.2 Start*/
         OUTV_INDIR_EXP_DEBT_AMT                /* COL 120  */
         OUTV_INDIR_EXP_EQUITY_AMT              /* COL 130  */
         OUTV_INDIR_EXP_DERIVATIVE_AMT          /* COL 140  */
         ("&LE_off_bsi"       /*B2.2.1 Start*/
            OUTV_INDIR_EXP_OBSI_LOAN_AMT       /* COL 150  */
            OUTV_INDIR_EXP_OBSI_GUAR_AMT       /* COL 160  */
            OUTV_INDIR_EXP_OBSI_OTH_AMT        /* COL 170  */
         )                                /*B2.2.1 Close*/
      )                                    /*B2.2.1 Close*/
      OUTV_UNDERLYING_EXP_EAD_AMT                /* COL 180  */
           
  )                                          /*B2 END*/
      OUTV_VALUE_ADJ_AMT                         /* COL 190  */
      OUTV_NOT_POPULATED                         /* COL 200  */
 ("&LE_bfr_exmp_crm"           /*B3 Start*/
         OUTV_EXP_PRE_CRM_AMT                   /* COL 210  */
         OUTV_EXP_PRE_CRM_TB_AMT                /* COL 220  */
         OUTV_EXP_PRE_CRM_PCT                   /* COL 230  */
  )                                                                     /*B3 Close*/
 ("&LE_elig_crm"                    /*B4 Start*/
      ("&LE_eff_of_elig_crm" /*B4.1 Start*/
         OUTV_CRM_EXP_DEBT_AMT                  /* COL 240  */
         OUTV_CRM_EXP_EQUITY_AMT                /* COL 250  */
         OUTV_CRM_EXP_DERIVATIVE_AMT            /* COL 260  */
         ("&LE_off_bsi_neg"       /*B4.1.2 Start*/
            OUTV_CRM_EXP_OBSI_LOAN_AMT         /* COL 270  */
            OUTV_CRM_EXP_OBSI_GUAR_AMT         /* COL 280  */
            OUTV_CRM_EXP_OBSI_OTHER_AMT        /* COL 290  */
         )                                /*B4.1.2 Close*/
      )                                    /*B4.1 Close*/
      OUTV_CR_PRTCTN_NOT_SUB_EFF_AMT             /* COL 300  */
      OUTV_ELIG_CRM_REAL_ESTATE_AMT              /* COL 310  */
  )
  OUTV_LE_EXEMPTED_AMT                             /* COL 320  */
 ("&LE_exp_val_aft_crm"
   OUTV_EXP_POST_CRM_AMT                           /* COL 330  */
   OUTV_EXP_POST_CRM_TB_AMT                        /* COL 340  */
   OUTV_EXP_POST_CRM_PCT                           /* COL 350  */
  )
;    
    
 
/*define       NAME           /display     " "              "Name";*/
define       CPTY_CD        /display      " "              "&LE2_010_rpt_label";
define       CPTY_TYPE_LE2         /display      " "              "&LE2_020_rpt_label";
/*define       LEI        /display     " "              "LEI code";*/
define       UNDERLYING_FLG        /display     " "              "&LE2_030_rpt_label";
/*define       CPTY_RES        /display      " "              "Residence of the counterparty";*/
/*define       CPTY_SECTOR        /display   style(column)={tagattr='000'}  " "              "Sector of the counterparty";*/
/*define       NACE         /display      " "              "NACE code";*/
define       OUTV_TOT_ORIG_EXP_AMT        /display format=&FORMAT_VALUE &style_type.    " "              "&LE2_040_rpt_label";
define       OUTV_TOT_ORIG_EXP_DEFLT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_050_rpt_label";
define       OUTV_DIR_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_060_rpt_label";
define       OUTV_DIR_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_070_rpt_label";
define       OUTV_DIR_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_080_rpt_label";
define       OUTV_DIR_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_090_rpt_label";
define       OUTV_DIR_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_100_rpt_label";
define       OUTV_DIR_EXP_OBSI_OTH_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_110_rpt_label";
define       OUTV_INDIR_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_120_rpt_label";
define       OUTV_INDIR_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_130_rpt_label";
define       OUTV_INDIR_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_140_rpt_label";
define       OUTV_INDIR_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_150_rpt_label";
define       OUTV_INDIR_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_160_rpt_label";
define       OUTV_INDIR_EXP_OBSI_OTH_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_170_rpt_label";
define       OUTV_UNDERLYING_EXP_EAD_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_180_rpt_label";
define       OUTV_VALUE_ADJ_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_190_rpt_label";
define       OUTV_NOT_POPULATED        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_200_rpt_label";
define       OUTV_EXP_PRE_CRM_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_210_rpt_label";
define       OUTV_EXP_PRE_CRM_TB_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_220_rpt_label";
define       OUTV_EXP_PRE_CRM_PCT        /display format=&FORMAT_PERCENT    " "              "&LE2_230_rpt_label";
define       OUTV_CRM_EXP_DEBT_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_240_rpt_label";
define       OUTV_CRM_EXP_EQUITY_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_250_rpt_label";
define       OUTV_CRM_EXP_DERIVATIVE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_260_rpt_label";
define       OUTV_CRM_EXP_OBSI_LOAN_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_270_rpt_label";
define       OUTV_CRM_EXP_OBSI_GUAR_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_280_rpt_label";
define       OUTV_CRM_EXP_OBSI_OTHER_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_290_rpt_label";
define       OUTV_CR_PRTCTN_NOT_SUB_EFF_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_300_rpt_label";
define       OUTV_ELIG_CRM_REAL_ESTATE_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_310_rpt_label";
define       OUTV_LE_EXEMPTED_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_320_rpt_label";
define       OUTV_EXP_POST_CRM_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_330_rpt_label";
define       OUTV_EXP_POST_CRM_TB_AMT        /display format=&FORMAT_VALUE  &style_type.    " "              "&LE2_340_rpt_label";
define       OUTV_EXP_POST_CRM_PCT        /display format=&FORMAT_PERCENT      " "              "&LE2_350_rpt_label";
     
    compute CPTY_CD;
       count+1;
       if mod(count,2) then do;
         call define(_row_,"Style", "Style=[background=#ffffff]");
       end;
    endcomp;

run;

 
 
%mend report_page;
 
 
%macro generate_report;
 
%if NOT %sysfunc(exist(work.current_regulatory)) or NOT %sysfunc(exist(work._LE2_GRP_IND_REPORT))
or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
%print_msg(warning,3,10);
%print_msg(warning,3,15);
%regulatory_reportnopage();
%return;
%goto FINAL;
%end;
 
/* Get number of report pages */
/*%let pages=%attrn(report_pages,NOBS);
 
%do this_page=1 %to &PAGES ;
*/ 
/*Change to &pages */
/*If data is not available for the report page then do no run report content */
%if NOT %sysfunc(exist(work._LE2_GRP_IND_REPORT)) %then %do;
%print_msg(warning,3,19);
%print_msg(note,3,20);
%regulatory_reportnopage();
%goto NOPAGE;
%end;

 
/* Displays the titles for the cross-classification variables */

/*%regulatory_reportheaders(work._LE2_GRP_IND_REPORT);*/
%if &report_type=XLS %then %do;

   ods tagsets.ExcelXP_Mod 
       options(
      sheet_name="&rpt_cd."
      sheet_interval='none' autofit_height="yes");
      %_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
       options(
      autofit_height="YES"); 
%end;

%report_page (work._LE2_GRP_IND_REPORT);
 
/* subroutine for no data available for report page */
%NOPAGE:
 

 
%FINAL:
footnote ;
 
%mend generate_report; /* end reportbody macro */
 
%generate_report;
 

 
%mend regrpt_capital_le2_crd4;
