/*****************************************************************************
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
*    NAME:regrpt_capital_le_limits.sas
*
* PURPOSE: Creates report for the CR SA report
*
*
*   USAGE: This is a draft
*
*   NOTES: Modified for V4.8
*   Macro Options:
*****************************************************************************/
 
%macro regrpt_capital_le_limits;

/* Create Data for Report */
%regrpt_d0_le_limits;
 
proc format ;
 value $exp_type
 "LE_LIMITS_NON_INST_AMT"="Non institutions"
 "LE_LIMITS_INST_AMT"="Institutions"
 "ELIG_CAP_INST_PCT"="Institutions in %"
 ;
run;

/*%let style_type=%str(style=Data[Tagattr='format:#,##0' fontweight=bold background=#CED3D6]);  */
%let style_type=%str(style=Data[Tagattr='format:#,##0' ]);  


/* Creates basic  template report */
%macro report_page (dsn);
 proc report data=work.le_limits_report nowd missing LS=160 PS=50 SPLIT="_" contents=''
style(report)={ bordercolor=gray }
style(column)={ bordercolor=#FAF8ED cellspacing=1}
style(header)={cellheight=0  cellspacing=1 };
column outline applicable_limit;

define outline / display format=$exp_type. width = 50   " ";
define applicable_limit  / display format=&FORMAT_VALUE "&LE_LIMIT_020_rpt_label";

run;

 
 
%mend report_page;
 
 
%macro generate_report;
 
%if NOT %sysfunc(exist(work.current_financial)) or NOT %sysfunc(exist(work.le_limits_report))
or %upcase(&SYSTEM_FATAL_ERROR) = %upcase (Y) %then %do;
   %print_msg(warning,3,10);
   %print_msg(warning,3,15);
   %regulatory_reportnopage();
   %return;
   %goto FINAL;
%end;
 
/* Get number of report pages */
 
 
/*Change to &pages */
/*If data is not available for the report page then do no run report content */


  %if &APPLY_CCF_AFTER_CRM EQ NO %then %do;
     %let ccf_crm_msg=%print_msg(,3,110,1); 
     
     footnote "&ccf_crm_msg";
  %end;
 
/* Displays the titles for the cross-classification variables */
%if %upcase(&REPORT_TYPE)=%upcase(XLS) %then %do;

   ods tagsets.ExcelXP_Mod 
       options(
      sheet_name="LE Limits"
      sheet_interval='none' autofit_height="yes");

      %_Report_Title(REPORT_TITLE_CD=rpt_cd2,REPORT_TITLE=rpt_title1);
   ods tagsets.ExcelXP_Mod 
       options(
      autofit_height="NO");

%end;
 
/*%regulatory_reportheaders(work.le_limits_report);*/

 
%report_page (work.le_limits_report);

/* subroutine for no data available for report page */
%NOPAGE:
 
 
%FINAL:
footnote ;
 
%mend generate_report; /* end reportbody macro */
 
%generate_report;
 
%mend regrpt_capital_le_limits;
