/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: u00_save_macro_definitions.sas
 *
 * PURPOSE: Save global macro definitions in a data set.
 *
 *   USAGE: 
 *
 *   NOTES: Macro definitions are saved in RD_ROOT.gmacros.
 *          
 *
 *****************************************************************************/
%macro u00_save_macro_definitions;
/*    data RD_ROOT.gmacros(keep=NAME VALUE rename=(NAME=MACRO_NAME VALUE=MACRO_VALUE));
    set sashelp.vmacro(where=(SCOPE='GLOBAL' and OFFSET=0 and NAME not in: ('MSG')));
    run;
*/	
	*** get the macro snippets sorted right.;
proc sort data=sashelp.vmacro out=macros;
    by scope name offset;
run;

*** transpose by scope and name on offset.;
proc transpose data=macros
        out=macros prefix=offset_;
    by scope name;
    id offset;
    var value;
run;

*** reassemble macros to original (wider) values.;
data macros(rename=value2=value);
    format scope name $32. value2 $32000.;
    set macros(  where=(SCOPE='GLOBAL' and  NAME not in: ('MSG')));;
    value2 = cat(of offset_:);
    drop  offset_: _name_ _label_;
run;
data RD_ROOT.gmacros(keep=NAME VALUE rename=(NAME=MACRO_NAME VALUE=MACRO_VALUE));
set macros;
run;
%if (%dsexist(RD_ROOT.project_info)) EQ 1 %then %do;
    data rd_root.project_info;
        set rd_root.project_info;
        %if %symglobl(REPORT_CCY) eq 1 %then %do;
            if config_name='REPORT_CCY' then config_value="&REPORT_CCY"; else
        %end;
        if config_name='CONFIG_SET' then config_value="&CONFIG_SET";else
        if config_name='PROCESSED_DTTM' then config_value=put(dhms(today(),0,0,time()),nldatm.);else
        %if %symglobl(RUNDATE) eq 1 %then %do;
            if config_name='RUNDATE' then config_value=put (&RUNDATE,NLDATE.);
        %end;
        %else %do;
            if config_name='RUNDATE' then config_value=put (today(),NLDATE.);
        %end;
    run; 
%end;
%mend; 
 
